%global commit0 a3af3028650812898e201a6f7718126ac43a57a6
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7})
%global tarname mpDris2
%global checkoutdate    20160422
# For F<20
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

Name:           mpdris2
Version:        0.7
Release:        3.%{checkoutdate}git%{shortcommit0}%{?dist}
Summary:        Provide MPRIS 2 support to mpd

License:        GPLv3+
URL:            https://github.com/eonpatapon/%{tarname}
Source0:        https://github.com/eonpatapon/%{name}/archive/%{commit0}.tar.gz#/%{name}-%{shortcommit0}.tar.gz

BuildArch:      noarch

BuildRequires:  gettext intltool desktop-file-utils
Requires:       dbus-python python-mpd pygobject2

%description
mpDris2 provides MPRIS 2 support to mpd (Music Player Daemon).

mpDris2 is run in the user session and monitors a local or distant 
mpd server


%prep
%setup -q -n %{tarname}-%{commit0}


%build
./autogen.sh
%configure --docdir=%{_pkgdocdir}

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
%make_install

desktop-file-validate $RPM_BUILD_ROOT/%{_datadir}/applications/%{name}.desktop

%find_lang %{tarname}

%files -f %{tarname}.lang
%config(noreplace) %{_sysconfdir}/xdg/autostart/%{name}.desktop
%doc AUTHORS COPYING README
%{_bindir}/%{tarname}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/dbus-1/services/org.mpris.MediaPlayer2.mpd.service
%{_pkgdocdir}/%{tarname}.conf
%{_prefix}/lib/systemd/user/mpDris2.service


%changelog
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.7-3.20160422gita3af302
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Fri Apr 22 2016 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.7-2.20160422gita3af302
- Update to latest git commit to fix rhbz #1322498

* Thu Mar 10 2016 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.7-1
- Update to latest upstream release
- Remove patch - was accepted

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu Aug 22 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.4-1
- License updated to GPLv3+

* Wed Aug 21 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.4-1
- Mark files as doc

* Fri Jun 21 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.4-1
- #912048
- Use find_lang
- Rename to lowercase
- Patch desktop file
- Mark autostart file as config

* Sun Feb 17 2013 Ankur Sinha <ankursinha AT fedoraproject DOT org> 0.4-1
- Initial rpmbuild
